2018-06-24 04:33 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002737FSSCPmath-relatedpublic2012-12-15 14:20
ReporterFUBAR-BDHR 
Assigned ToValathil 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.15 
Target VersionFixed in Version 
Summary0002737: Null vec3d launching fighters
DescriptionI've run into another Null vec3d error. Any fighters launched from the DI Sekhmet in TBP (attaching retail compatible version) will trigger this. Ignoring it does result in proper fighter launch but I can't figure out why it is happening with this ship.

I have stepped through in the debugger. Tracing back and adding a Break point vm_orthogonalize_matrix() in vecmat.cpp shows the issue occurs in the vm_vec_normalize() at line 1255. Going back a bit farther and stepping into the vm_vec_crossprod() 2 lines above showed that it changed the rvec to 0,0,0.
Steps To ReproduceDrop pof, tbm, and mission into the appropriate directories and run the mission. 10 seconds in the wing launches triggering the issue.
Additional Informationr9384 but apparently(haven't tested myself) happens in 3.6.14 as well.
TagsNo tags attached.
Attached Files
  • rar file icon 2737.rar (802,452 bytes) 2012-11-30 01:12
  • ? file icon 2737.fs2 (4,782 bytes) 2012-12-05 01:02

-Relationships
+Relationships

-Notes

~0014235

FUBAR-BDHR (developer)

After trying a few things with the model it appears that the cause is point 5 of the bay paths being directly below point 6. Moving them 5 forward works around the issue. The code should still be able to handle this case.

~0014301

FUBAR-BDHR (developer)

It would appear my theory about having a ship pointing straight down proved correct. Attaching retail mission with the issue. Any bay path pointing straight down when a fighter launches causes the issue. It doesn't matter the orientation of the path on the model but the orientation in the game when launching.

~0014471

Valathil (developer)

Fix committed to trunk@9438.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-11-30 01:08 FUBAR-BDHR New Issue
2012-11-30 01:12 FUBAR-BDHR File Added: 2737.rar
2012-11-30 02:18 FUBAR-BDHR Note Added: 0014235
2012-12-05 01:01 FUBAR-BDHR Note Added: 0014301
2012-12-05 01:02 FUBAR-BDHR File Added: 2737.fs2
2012-12-15 14:17 Valathil Assigned To => Valathil
2012-12-15 14:17 Valathil Status new => assigned
2012-12-15 14:20 Valathil Changeset attached => fs2open trunk r9438
2012-12-15 14:20 Valathil Note Added: 0014471
2012-12-15 14:20 Valathil Status assigned => resolved
2012-12-15 14:20 Valathil Resolution open => fixed
+Issue History